{
	"artifacts" : 
	[
		{
			"path" : "tests/tests"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"target_link_libraries",
			"set_target_properties",
			"include",
			"find_package",
			"add_custom_command",
			"gtest_discover_tests",
			"add_compile_definitions",
			"project",
			"include_directories"
		],
		"files" : 
		[
			"tests/CMakeLists.txt",
			"/usr/local/lib/cmake/GTest/GTestTargets.cmake",
			"/usr/local/lib/cmake/GTest/GTestConfig.cmake",
			".qtcreator/cmake-helper/maintenance_tool_provider.cmake",
			"/usr/local/share/cmake-4.3/Modules/FindGTest.cmake",
			"/usr/local/share/cmake-4.3/Modules/GoogleTest.cmake",
			".qtcreator/cmake-helper/qtcreator-project.cmake",
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 3,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 4,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 1,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 3,
				"line" : 259,
				"parent" : 3
			},
			{
				"file" : 4,
				"parent" : 4
			},
			{
				"command" : 4,
				"file" : 4,
				"line" : 345,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 3,
				"line" : 259,
				"parent" : 6
			},
			{
				"file" : 2,
				"parent" : 7
			},
			{
				"command" : 3,
				"file" : 2,
				"line" : 36,
				"parent" : 8
			},
			{
				"file" : 1,
				"parent" : 9
			},
			{
				"command" : 2,
				"file" : 1,
				"line" : 71,
				"parent" : 10
			},
			{
				"command" : 6,
				"file" : 0,
				"line" : 7,
				"parent" : 0
			},
			{
				"command" : 5,
				"file" : 5,
				"line" : 697,
				"parent" : 12
			},
			{
				"file" : 7
			},
			{
				"command" : 8,
				"file" : 7,
				"line" : 2,
				"parent" : 14
			},
			{
				"file" : 6,
				"parent" : 15
			},
			{
				"command" : 7,
				"file" : 6,
				"line" : 81,
				"parent" : 16
			},
			{
				"command" : 9,
				"file" : 7,
				"line" : 15,
				"parent" : 14
			},
			{
				"command" : 9,
				"file" : 7,
				"line" : 18,
				"parent" : 14
			}
		]
	},
	"codemodelVersion" : 
	{
		"major" : 2,
		"minor" : 10
	},
	"compileDependencies" : 
	[
		{
			"backtrace" : 2,
			"id" : "GTest::gtest_main::@a44f0ac069e85531cdee"
		},
		{
			"backtrace" : 2,
			"id" : "app_lib::@5f5a17c01335469806cb"
		}
	],
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -std=gnu++17 -fPIE -fdiagnostics-color=always"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 17,
					"define" : "QT_QML_DEBUG"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 18,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/app"
				},
				{
					"backtrace" : 19,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					2
				],
				"standard" : "17"
			},
			"sourceIndexes" : 
			[
				0
			]
		}
	],
	"dependencies" : 
	[
		{
			"backtrace" : 2,
			"id" : "app_lib::@5f5a17c01335469806cb"
		}
	],
	"id" : "tests::@a44f0ac069e85531cdee",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-g",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "/usr/local/lib/libgtest_main.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "app/libapp_lib.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 11,
				"fragment" : "/usr/local/lib/libgtest.a",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"linkLibraries" : 
	[
		{
			"backtrace" : 2,
			"id" : "GTest::gtest_main::@a44f0ac069e85531cdee"
		},
		{
			"backtrace" : 2,
			"id" : "app_lib::@5f5a17c01335469806cb"
		}
	],
	"name" : "tests",
	"nameOnDisk" : "tests",
	"orderDependencies" : 
	[
		{
			"backtrace" : 13,
			"id" : "tests::@a44f0ac069e85531cdee"
		}
	],
	"paths" : 
	{
		"build" : "tests",
		"source" : "tests"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "tests/filter-test.cpp",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "EXECUTABLE"
}
